//
//  MainWindowControllerViewController.h
//  LazyBone_Wifi
//
//  Created by duansteven on 14-5-17.
//  Copyright (c) 2014年 yadizzz. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "SerialGATT.h"
#import "BLEViewController.h"
#import "BaseVC.h"

#define RSSI_THRESHOLD -60
#define WARNING_MESSAGE @"z"


@class CBPeripheral;
@class SerialGATT;

@interface ViewController : BaseVC<UIActionSheetDelegate,BTSmartSensorDelegate,BTViewDeviceSetDelegate,UIAlertViewDelegate>
{
    BOOL relayStatus[12];
    BOOL isTempMode;
    BOOL isTouchFlag[12];
    int sendMode;
    BOOL isMomentaryMode[12];
}

@property (strong, nonatomic) CBPeripheral *peripheral;
@property (strong, nonatomic) SerialGATT *sensor;
@property (strong, nonatomic) NSMutableArray *rssi_container;

- (IBAction)buttonDown:(id)sender;
- (IBAction)buttonUp:(id)sender;
- (IBAction)onAllOn:(id)sender;
- (IBAction)onAllOff:(id)sender;

@property (retain, nonatomic) IBOutlet UILabel *mStatus;

@property (nonatomic, strong)IBOutlet UIButton *relay1;
@property (nonatomic, strong)IBOutlet UIButton *relay2;
@property (nonatomic, strong)IBOutlet UIButton *relay3;
@property (nonatomic, strong)IBOutlet UIButton *relay4;
@property (nonatomic, strong)IBOutlet UIButton *relay5;
@property (nonatomic, strong)IBOutlet UIButton *relay6;
@property (nonatomic, strong)IBOutlet UIButton *relay7;
@property (nonatomic, strong)IBOutlet UIButton *relay8;
@property (nonatomic, strong)IBOutlet UIButton *relay9;
@property (nonatomic, strong)IBOutlet UIButton *relay10;
@property (nonatomic, strong)IBOutlet UIButton *relay11;
@property (nonatomic, strong)IBOutlet UIButton *relay12;


@property (nonatomic, retain)IBOutlet UIButton *btnTemp;
- (IBAction)onTempClick:(id)sender;


@end
